-- KillCounter.lua
--
-- Initialize general KillCounter environment
--
-- Globals: KillCounter

KillCounter = {
    name = "KillCounter";
    slashCommandId = "KILLCOUNTER";
    slashCommands = { "/kc" };
    playerDB = "KILLCOUNTER_PLAYER_DB";
    globalDB = "KILLCOUNTER_DB";
    debugCallbacks = {};
    options = { };
    debugEnabled = true;
};
local KC = KillCounter;

function KC:EnableDebug(func)
    func(self.debugEnabled);
    self.debugCallbacks[func] = true;
end

function KC:SetDebug(state)
    state = (state and true) or false;
    if (state == self.debugEnabled) then
        return;
    end
    self.debugEnabled = state;
    for func in pairs(self.debugCallbacks) do
        func(state);
    end
end

function KC:AddonLoaded()
    self:CheckOptions();
    self:SetDebug(self.options.DebugEnabled);
    self:PrepLegacy();
    self:InitSavedData();
end


