-- KillCounterUtil.lua
--
-- Utility functions
--
-- Globals: KillCounter

local KC = KillCounter;

function KC:Info(...)
    DEFAULT_CHAT_FRAME:AddMessage(strjoin(" ", "KillCounter:|cffffffff", ...));
end

function KC:Out(...)
    DEFAULT_CHAT_FRAME:AddMessage(strjoin(" ", "KillCounter:|cffffffff", ...));
end

function KC:BulkOut(...)
    DEFAULT_CHAT_FRAME:AddMessage(strjoin(" ", "|cffffffff ", ...));
end

function KC:Debug(...)
    if (self.debugEnabled) then
        DEFAULT_CHAT_FRAME:AddMessage(strjoin(" ", "KillCounter:|cffcccccc", ...));
    end
end

function KC:CheckOptions()
    local savedData = getglobal(self.globalDB);
    local options = self.options;
    if (type(savedData) == "table") then
        for k, v in pairs(savedData) do
            if (type(k) == "string") then
                local n = k:match("^option(.*)$");
                if (n) then
                    options[n] = v;
                end
            end
        end
    end
end

function KC:GetOption(optname, defaultValue)
    local opt = self.options[optname];
    if (opt == nil) then
        return defaultValue;
    end
end

function KC:SetOption(optname, optvalue)
    self.options[optname] = optvalue;
    local savedData = getglobal(self.globalDB);
    if (type(savedData) == "table") then
        savedData["option" .. optname] = optvalue;
    end
end

function KC:SaveOptions()
    local savedData = getglobal(self.globalDB);
    if (type(savedData) == "table") then
        for optname, optvalue in pairs(self.options) do
            savedData["option" .. optname] = optvalue;
        end
    end
end